"use strict";
require("reflect-metadata");
var Registry_1 = require("./Registry");
function Inject(name, propertyKey) {
    if (typeof name === 'string') {
        return function (target, propKey) {
            Registry_1.Registry.registerProperty(name, target.constructor, propKey);
        };
    }
    else {
        Registry_1.Registry.registerProperty(propertyKey, name.constructor, propertyKey);
    }
}
exports.Inject = Inject;
