import 'reflect-metadata';
export declare class Injector implements inject.IInject {
    private cached;
    get<T>(name: string): T;
    has(name: string): boolean;
    invoke(factory: Function | any[], self?: any, locals?: Record<string, any>): any;
    private _invoke(factory, previous, self, locals);
    instantiate(type: Function, locals?: Record<string, any>): any;
    private _instantiate(type, previous, locals);
    private _injectProperties(result, type, previous, locals);
    private _get(name, previous, locals?);
    static FN_ARGS: RegExp;
    static FN_ARG_SPLIT: RegExp;
    static FN_ARG: RegExp;
    static STRIP_COMMENTS: RegExp;
    private _getInjectableFunction(fn);
}
